Auteur Sujet: Option "noapic" pour des vieux PC qui refusent de démarrer sous Ubuntu / Debian  (Lu 1943 fois)

0 Membres et 1 Invité sur ce sujet

vivien

  • Administrateur
  • *
  • Messages: 35 389
    • Twitter LaFibre.info
Vous avez des problèmes pour démarrer Linux après une mise à jour sur un vieux PC ?
Vous avez des problèmes pour installer Linux sur un vieux PC ?

L'option "noapic" peut aider certains

Tous les PC fixe Dell avec micro-processeur AMD sont concernés par ce bug de l'APIC (Advanced Programmable Interrupt Controller), mais on trouve aussi des PC d'autres marques.

Il existe un certain nombre de bogues connus dans les implèmentations des systèmes APIC de vieux PC. Les BIOS défectueux peuvent ne pas configurer correctement le interruptions ou fournir des tables ACPI et des tables MPS (Intel MultiProcessor Specification) incorrectes.

Dans certains cas (Ubuntu 18.04, Ubuntu 18.10, Ubuntu 19.04 ou Debian 7) vous aurez un message d'erreur assez clair au boot :

Boot d'un Dell Dimension E521 avec Ubuntu 19.04 : (BIOS en 1.0.3, mais le problème est toujours présent avec la dernière version 1.1.11)


Boot d'un Dell Dimension C521 avec Ubuntu 19.04 : (BIOS en 1.1.11 qui est la dernière version)


Boot d'un Dell Dimension E521 avec Debian 9 : (BIOS en 1.1.10)


Dans d'autres cas comme avec Debian 10, c'est un écran noir, aucune information pour vous aider.

vivien

  • Administrateur
  • *
  • Messages: 35 389
    • Twitter LaFibre.info
Je vais décrire les solutions :
- Cas N°1: Installation d'Ubuntu 18.04
- Cas N°2: Mise à jour d'Ubuntu 16.04 vers Ubuntu 18.04 (Ubuntu 16.04 fonctionne sans l'option "noapic")
- Cas N°3: Installation de Debian 10
- Cas N°4: Mis à jour de Debian 8 vers Debian 9


Cas N°1: Installation d'Ubuntu 18.04

Lors du boot, il faut appuyer sur la touche F6 pour sélectionner F6 Autres
Dans la liste d'option, cocher la case "noapic"

Il faut ensuite faire une installation normalement.
L'option "noapic" sera mise en place dans le système installé.



vivien

  • Administrateur
  • *
  • Messages: 35 389
    • Twitter LaFibre.info
Cas N°2: Mise à jour d'Ubuntu 16.04 vers Ubuntu 18.04

Sur les PC Dell en question, Ubuntu 16.04 fonctionne sans l'option "noapic"*
On a donc une mauvaise surprise après la mise à jour en 18.04 : le PC ne démarre plus.

* Ubuntu 16.04 avec le Kernel HWE 4.15 nécessite l'option "noapic" mais par Ubuntu 16.04 avec le Kernel 4.4 d'origine.

Étape N°1: Démarrer Ubuntu
Il faut alors dans le menu de Grub sélectionner "Options avancées pour Ubuntu"
Une liste de noyaux sont alors présentés : Des noyaux 4.4 issues d'Ubuntu 16.04 qui fonctionnent et un noyau 4.15 d'Ubuntu 18.04 qui ne permet pas de démarrer.
On va donc démarrer sur le dernier noyau 4.4 pour qu'Ubuntu 18.04 démarre (il fonctionne avec le kernel 4.4)

Étape N°2: Éditer le fichier de configuration de Grub
Lancer une ligne de commande en démarrant un terminal.
Taper sudo nano /etc/default/grub
Rajouter l'option "noapic" sur la ligne GRUB_CMDLINE_LINUX=""
Cela donne ceci : (Grub configuré pour un dual-boot avec Windows)


Étape N°3: Mettre à jour Grub
sudo update-grub

Redémarrer, Ubuntu es réparé.

vivien

  • Administrateur
  • *
  • Messages: 35 389
    • Twitter LaFibre.info
Cas N°3: Installation de Debian 10

Lors du boot, il faut sélectionner le menu "Help"



Puis faire la touche F6 pour sélectionner <F6> Special boot paraMeters for special Machines.



Installation graphique : il faut spécifier "noapic" en tapant installgui noapic sur la ligne boot.
Votre clavier AZERTY étant configuré en QWERTY, il faut taper instqllgui noqpic au clavier.

Installation mode texte : il faut spécifier "noapic" en tapant install noapic sur la ligne boot.
Votre clavier AZERTY étant configuré en QWERTY, il faut taper instqll noqpic au clavier.

Exemple en mode texte:


Il faut ensuite faire une installation normalement.
L'option "noapic" sera mise en place dans le système installé.

vivien

  • Administrateur
  • *
  • Messages: 35 389
    • Twitter LaFibre.info
Cas N°4: Mise à jour de Debian 8 vers Debian 9

Sur les PC Dell en question, Debian 8 fonctionne sans l'option "noapic"
On a donc une mauvaise surprise après la mise à jour en vers Debian 9 : le PC ne démarre plus.

Étape N°1: Démarrer Debian
Il faut alors dans le menu de Grub sélectionner "Options avancées pour Debian GNU/Linux"
Une liste de noyaux sont alors présentés : Des noyaux 3.16 issues de Debian 8 qui fonctionnent et un noyau 4.9 de Debian 9 qui ne permet pas de démarrer.
On va donc démarrer sur le dernier noyau 3.16 pour que Debian 9 démarre.

Étape N°2: Éditer le fichier de configuration de Grub
Lancer une ligne de commande en démarrant un terminal.
Taper sudo nano /etc/default/grub
Rajouter l'option "noapic" sur la ligne GRUB_CMDLINE_LINUX=""
Cela donne ceci : (Grub configuré pour un Debian qui est le seul système d’exploitation du PC)


Étape N°3: Mettre à jour Grub
sudo update-grub

Redémarrer, Debian est réparé.

vivien

  • Administrateur
  • *
  • Messages: 35 389
    • Twitter LaFibre.info
Tant que je suis sur ces vieux PC attention : En réalisant des tests, je me suis arraché les cheveux avec Ubuntu 19.04 : Des nombreuses applications refusent de se lancer (comme Firefox) et le système est globalement inutilisable. C'est la faute d'une incompatibilité avec Linux 5.0

Dans dmesg, on trouve des ligne comme ça :

[   41.619770] BUG: unable to handle kernel NULL pointer dereference at 0000000000000000
[   41.619777] #PF error: [normal kernel read fault]
[   41.619779] PGD 0 P4D 0
[   41.619783] Oops: 0000 [#1] SMP NOPTI

En utilisant Ubuntu 19.04 avec le noyau d'Ubuntu 18.10 (Linux 4.18) aucun problème.
Je n'ai pas rencontré de problème avec Debian 10 et son noyau Linux 4.19.
Attention avant de faire une mise à jour vers un système qui utilise le noyau 5.0 ou plus récent.

A noter que Wayland sous Debian 10 ne fonctionne pas, mais c'est probablement lié à ma carte graphique, une "GeForece 6150 LE", le premier chipset de Nvidia avec solution graphique intégré, pour les Processeurs AMD.
Voici les erreurs avec Wayland :

[   78.508950] nouveau 0000:00:05.0: gr: intr 00100000 [ERROR] nsource 00002000 [NOTIFY_IN_USE] nstatus 00800000 [STATE_IN_USE] ch 4 [0005d910 Xwayland[576]] subc 7 class 4497 mthd 0180 data 000046e5
[   78.508971] nouveau 0000:00:05.0: gr: intr 00100000 [ERROR] nsource 00002000 [NOTIFY_IN_USE] nstatus 00800000 [STATE_IN_USE] ch 4 [0005d910 Xwayland[576]] subc 2 class 0039 mthd 0180 data 000046e5
[   78.508985] nouveau 0000:00:05.0: gr: intr 00100000 [ERROR] nsource 00002000 [NOTIFY_IN_USE] nstatus 00800000 [STATE_IN_USE] ch 4 [0005d910 Xwayland[576]] subc 3 class 0062 mthd 0180 data 000046e5
[   78.508999] nouveau 0000:00:05.0: gr: intr 00100000 [ERROR] nsource 00002000 [NOTIFY_IN_USE] nstatus 00800000 [STATE_IN_USE] ch 4 [0005d910 Xwayland[576]] subc 4 class 309e mthd 0180 data 000046e5
[   78.509012] nouveau 0000:00:05.0: gr: intr 00100000 [ERROR] nsource 00002000 [NOTIFY_IN_USE] nstatus 00800000 [STATE_IN_USE] ch 4 [0005d910 Xwayland[576]] subc 5 class 3089 mthd 0180 data 000046e5
[   89.096816] nouveau 0000:00:05.0: gr: intr 00100000 [ERROR] nsource 00002000 [NOTIFY_IN_USE] nstatus 00800000 [STATE_IN_USE] ch 10 [00105910 systemd-logind[396]] subc 7 class 4497 mthd 0180 data 00004de0
[   89.096837] nouveau 0000:00:05.0: gr: intr 00100000 [ERROR] nsource 00002000 [NOTIFY_IN_USE] nstatus 00800000 [STATE_IN_USE] ch 10 [00105910 systemd-logind[396]] subc 2 class 0039 mthd 0180 data 00004de0
[   89.096851] nouveau 0000:00:05.0: gr: intr 00100000 [ERROR] nsource 00002000 [NOTIFY_IN_USE] nstatus 00800000 [STATE_IN_USE] ch 10 [00105910 systemd-logind[396]] subc 3 class 0062 mthd 0180 data 00004de0
[   89.096865] nouveau 0000:00:05.0: gr: intr 00100000 [ERROR] nsource 00002000 [NOTIFY_IN_USE] nstatus 00800000 [STATE_IN_USE] ch 10 [00105910 systemd-logind[396]] subc 4 class 309e mthd 0180 data 00004de0
[   89.096878] nouveau 0000:00:05.0: gr: intr 00100000 [ERROR] nsource 00002000 [NOTIFY_IN_USE] nstatus 00800000 [STATE_IN_USE] ch 10 [00105910 systemd-logind[396]] subc 5 class 3089 mthd 0180 data 00004de0
La solution probable est d'installer les pilotes propriétaires qui ne sont plus proposés : [je n'ai pas testé]
sudo add-apt-repository ppa:graphics-drivers/ppa
nano /etc/apt/sources.list.d/graphics-drivers-ubuntu-ppa-eoan.list

modifier la première ligne :
deb [ allow-insecure=yes allow-weak=yes ] http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu eoan main

sudo apt-get update -o Acquire::AllowInsecureRepositories=true
sudo apt install nvidia-304 -o Acquire::AllowInsecureRepositories=true
sudo apt install nvidia-settings


Voici des dmesg :
- 201907_dmesg_ubuntu1904_xorg.txt : Ubuntu 19.04 x.org avec Kernel 5.0 => Ko
- 201907_dmesg_debian10_wayland.txt : Debian 10 wayland avec Kernel 4.19 => Ko
- 201907_dmesg_debian10_xorg.txt : Debian 10 x.org avec Kernel 4.19 => ok

vivien

  • Administrateur
  • *
  • Messages: 35 389
    • Twitter LaFibre.info
Je me suis demandé si il y avait un impact lié a l'activation de noapic.
=> La conclusion c'est que cela n'a pas d'impact sur les performances

Voici les tests que j'ai réalisés, tous avec Lubuntu 16.04.6 i386.

Légende :
- 4.4std => Kernel 4.4 avec apic activé (configuration par défaut)
- 4.4noa => Kernel 4.4 avec noapic
- 4.15na => Kernel 4.15 avec noapic (impossible de faire le test avec ce kernel et apic activé)

Pour chaque configuration, j'ai réalisé 4 itérations du test.

Test CPU CryptoHash de HardInfo 0.5.1: Plus c'est haut, meilleur c'est :
4.4std: 78.89/78.80/78.90/78.42
4.4noa: 78.50/78.78/78.74/78.77
4.15na: 78.75/78.80/78.60/78.53

Pour tous les autres tests, plus c'est bas, meilleur c'est :
- Temps d'une compression ffmpeg VP9 en secondes :
4.4std: 1100.26 /1101.74
4.4noa: 1102.62/1100.47
4.15na: 1097.56/1098.23

- Temps d'une compression tar .xz en secondes :
4.4std: 22.68/22.75/22.80/22.84
4.4noa: 23.11/22.81/22.81/22.70
4.15na: 22.37/22.20/22.28/22.22

- CPU Blowfish de HardInfo 0.5.1:
4.4std: 18.67/18.67/18.69/18.71
4.4noa: 18.66/18.67/18.65/18.66
4.15na: 18.63/18.65/18.65/18.67

- CPU Fibonacci de HardInfo 0.5.1:
4.4std: 3.38/3.38/3.37/3.38
4.4noa: 3.39/3.37/3.37/3.37
4.15na: 3.38/3.37/3.38/3.38

- CPU N-Queens de HardInfo 0.5.1:
4.4std: 15.16/15.54/12.89/12.80
4.4noa: 14.60/12.83/13.21/14.35
4.15na: 15.60/12.84/13.68/15.09

- FPU FFT de HardInfo 0.5.1:
4.4std: 15.37/15.39/15.41/15.40
4.4noa: 15.38/15.47/15.36/15.37
4.15na: 15.36/15.35/15.36/15.36

- FPU Raytracing de HardInfo 0.5.1:
4.4std: 20.67/23.31/23.34/23.41
4.4noa: 20.54/23.43/22.93/23.51
4.15na: 20.49/23.54/20.5223.61

Voici les dmesg avec Lubuntu 16.04 :
- 201907_dmesg_ubuntu1604_kernel44_apic_nouveau.txt : Lubuntu 16.04.6 i386, apic activé avec Kernel 4.4 et driver graphique Nouveau
- 201907_dmesg_ubuntu1604_kernel44_noapic_nouveau.txt : Lubuntu 16.04.6 i386, option noapic avec Kernel 4.4 et driver graphique Nouveau
- 201907_dmesg_ubuntu1604_kernel415_noapic_nouveau.txt : Lubuntu 16.04.6 i386, option noapic avec Kernel 4.15 et driver graphique Nouveau
- 201907_dmesg_ubuntu1604_kernel415_noapic_proprietaire.txt : Lubuntu 16.04.6 i386, option noapic avec Kernel 4.15 et driver graphique propriétaire nvidia :



Et cela donne quoi avec un vieux noyau ?

Voici les dmesg avec Lubuntu 9.04 :

- 201907_dmesg_ubuntu0910_kernel2331_nouveau.txt : Ubuntu 9.04 AMD64 avec Kernel 2.3.31 et driver graphique Nouveau
- 201907_dmesg_ubuntu0910_kernel2331_proprietaire.txt : Ubuntu 9.04 AMD64 avec Kernel 2.3.31 et driver graphique propriétaire de Nvidia.

Et cela donne quoi avec Ubuntu 18.04 ?
(Le driver propriétaire nVidia n'est plus proposé avec Ubuntu 18.04 : c'est impérativement le driver Nouveau)
- 201907_dmesg_ubuntu1804_kernel415_nouveau.txt : Ubuntu 18.04.2 AMD64 avec Kernel 4.15 et driver graphique Nouveau
- 201907_dmesg_ubuntu1804_kernel418_nouveau.txt : Ubuntu 18.04.2 AMD64 avec Kernel 4.18 et driver graphique Nouveau
- 201907_dmesg_ubuntu1804_kernel50_nouveau.txt : Ubuntu 18.04.2 AMD64 avec Kernel 5.0 et driver graphique Nouveau
(avec "BUG: unable to handle kernel NULL pointer dereference at 0000000000000000" pour le kernel 5.0)

vivien

  • Administrateur
  • *
  • Messages: 35 389
    • Twitter LaFibre.info
Le PC arrivant un peu à faire tourner Windows 10, voici les informations sur le matériel, récupérer sous Windows 10 :




vivien

  • Administrateur
  • *
  • Messages: 35 389
    • Twitter LaFibre.info
Probablement la solution graphique Nvidia la moins performance supportée par Windows 10 :



vivien

  • Administrateur
  • *
  • Messages: 35 389
    • Twitter LaFibre.info


Oui, Windows 10 1903 fonctionne en 64bits sur ce PC :

 

Mobile View